
StartupEvents.registry("item", event => {

//模块化护甲
    event.create('tetra:helmet', "TetraJS:EquipModularItem")
            .tjs$setHoneBase(200)
            .tjs$addMajorSlot('helmet', 4, 18, true)
            .tjs$addMajorSlot("helmet_lining", -14, 18, true)
            .tjs$addMinorSlot("helmet/socket", 5, 0)
            .tjs$setProviderAttribute(false)
            .tjs$setSlot("head")

    event.create('tetra:chestplate', "TetraJS:EquipModularItem")
        //new Builder("chestplate")
            .tjs$setHoneBase(200)
            .tjs$addMajorSlot('chestplate', 4, 18, true)
            .tjs$addMajorSlot("chestplate_lining", -14, 18, true)
            .tjs$addMajorSlot('shoulder_pads_right', 4, 0, true)
            .tjs$addMajorSlot("shoulder_pads_left", -14, 0, true)
            .tjs$setProviderAttribute(false)
            .tjs$setSlot("chest")


    event.create('tetra:legging', "TetraJS:EquipModularItem")
        //new Builder("legging")
            .tjs$setHoneBase(200)
            .tjs$addMajorSlot('belt', 4, 18, true)
            .tjs$addMajorSlot("legging_lining", -14, 18, true)
            .tjs$addMajorSlot('legging_right', 4, 0, true)
            .tjs$addMajorSlot("legging_left", -14, 0, true)
            .tjs$setProviderAttribute(false)
            .tjs$setSlot("legs")

    event.create('tetra:feet', "TetraJS:EquipModularItem")
        //new Builder("feet")
            .tjs$setHoneBase(200)
            .tjs$addMajorSlot('feet', 4, 18, true)
            .tjs$addMajorSlot("feet_lining", -14, 18, true)
            .tjs$setProviderAttribute(false)
            .tjs$setSlot("feet")

//模块化物品    
    event.create('tetra:sword_renew1', "TetraJS:ShieldModularItem")
            .tjs$setHoneBase(110)
            .tjs$addMajorSlot("shield/plate", 3, 0, true)
            .tjs$addMajorSlot("shield/grip", 3, 18, true)
            
    //剑—改
    event.create('tetra:sword_renew', "TetraJS:BaseModularItem")
            .tjs$setHoneBase(110)
            .tjs$addMajorSlot("sword/blade", 3, 0, true)
            .tjs$addMajorSlot("sword/hilt", 3, 18, true)
            .tjs$addMinorSlot('sword/pommel', -12, 24)
            .tjs$addMinorSlot('sword/guard', -22, 12)
            .tjs$addMinorSlot('sword/fuller', -12, 0)
            .tjs$setSynergiesPath("sword/")
  
    //单头工具—改
    event.create('tetra:single_gai', "TetraJS:BaseModularItem")
        //new Builder("single_gai")
            .tjs$setHoneBase(100)
            .tjs$addMajorSlot("single/handle", -13, 19, true)
            .tjs$addMajorSlot('single/head', 3, -1, true)
            .tjs$addMinorSlot("single/binding_1", -13, 0)
            .tjs$addMinorSlot('single/binding_2', 6, 23)

    //扳手
    event.create('tetra:wrench', "TetraJS:BaseModularItem")
        //new Builder("wrench")
            .tjs$setHoneBase(400)
            .tjs$addMajorSlot("tetra/wrench1", 3, -1, true)
            .tjs$addMinorSlot("tetra/wrench2", -13, 0)
            .tjs$addMajorSlot("tetra/wrench3", -13, 19, true)

    //皮卡镖
    event.create('tetra:pickarang', "TetraJS:BaseModularItem")
        //new Builder("pickarang")
            .tjs$setHoneBase(300)
            .tjs$addMajorSlot("tetra/pickarang1", 3, -1, true)
            .tjs$addMajorSlot("tetra/pickarang2", -13, -1, true)
            .tjs$addMajorSlot("tetra/pickarang3", 3, 19, true)


//模块化饰品 

    //蒸汽引擎
    event.create('tetra:dzzl_steam_engine', "TetraJS:CuriosModularItem")
        // new Builder("hammer_modular")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("rotation_speed_controller", -13, -1, true)
            .tjs$addMajorSlot("energy_supply", 3, 19, true)
            .tjs$addMajorSlot("mechanical_housing", -13, 19, true)
            .tjs$setProviderAttribute(false)
    
    //生物毒素瓶
    event.create('tetra:biotoxin_bottles', "TetraJS:CuriosModularItem")
        //new Builder("biotoxin_bottles")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot('bottle_cap', 3, -1, true)
            .tjs$addMajorSlot("toxin", -13, -1, false)
            .tjs$addMajorSlot("bottle", 3, 19, true)
            .tjs$setProviderAttribute(false)

    //项链
    event.create('tetra:necklace', "TetraJS:CuriosModularItem")
        //new Builder("necklace")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot('knots', 3, -1, true)
            .tjs$addMajorSlot("pendant", 3, 19, true)
            .tjs$setProviderAttribute(false)

    //戒指
    event.create('tetra:ring', "TetraJS:CuriosModularItem")
        //new Builder("ring")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot('ring', 3, -1, true)
            .tjs$addMajorSlot("ornament", 3, 19, true)
            .tjs$setProviderAttribute(false)
            
    event.create('tetra:shou_tao1', "TetraJS:CuriosModularItem")
        //new Builder("shou_tao1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("quan_tou", 3, -1, true)
            .tjs$addMajorSlot("shou_wan", 3, 19, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:hu_xin_jing1', "TetraJS:CuriosModularItem")
        //new Builder("hu_xin_jing1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("bian_yuan", 3, -1, true)
            .tjs$addMajorSlot("zhong_xin", 3, 19, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:ryzz', "TetraJS:CuriosModularItem")
        //new Builder("ryzz")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("curios1", -13, -1, true)
            .tjs$addMajorSlot("curios2", 3, -1, true)
            .tjs$addMajorSlot("curios3", 3, 19, true)
            .tjs$addMajorSlot("curios4", -13, 19, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:zu_li_jian1', "TetraJS:CuriosModularItem")
        //new Builder("zu_li_jian1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("you_zu", 3, 19, true)
            .tjs$addMajorSlot("zuo_zu", -13, 19, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:zai_bian_zhi_xin1', "TetraJS:CuriosModularItem")
        //new Builder("zai_bian_zhi_xin1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("cha_cao_1", -13, 19, true)
            .tjs$addMajorSlot("ti_qu_qi", 13, 12, true)
            .tjs$addMajorSlot("cha_cao_2", -13, -1, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:yuan_chu_wen_chuang1', "TetraJS:CuriosModularItem")
        //new Builder("yuan_chu_wen_chuang1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("sheng_chan", -13, -1, true)
            .tjs$addMajorSlot("xiao_hua", 3, -1, true)
            .tjs$addMajorSlot("xue_rou_he_xin", 3, 19, true)
            .tjs$addMajorSlot("yao_ji", -13, 19, true)
            .tjs$setProviderAttribute(false)

    event.create('tetra:huang_guan1', "TetraJS:CuriosModularItem")
        //new Builder("huang_guan1")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("ding_bu", -13, -1, true)
            .tjs$addMinorSlot("xiang_qian", 5, 0)
            .tjs$addMajorSlot("tou_huan_you", 3, 19, true)
            .tjs$addMajorSlot("tou_huan_zuo", -13, 19, true)
            .tjs$setProviderAttribute(false)

//模块化方块
    event.create('tetra:hammer_modular', "TetraJS:BaseModularItem")
        //new Builder("hammer_modular")
            .tjs$setHoneBase(1)
            .tjs$addMajorSlot("reinforcement_slot_1", -13, -1)
            .tjs$addMajorSlot("hammer_basis", 3, -1, true)
            .tjs$addMajorSlot("reinforcement_slot_2", 3, 19)
            .tjs$addMajorSlot("hammer_head", -13, 19,  true)
    
})